Subject: Re: AGPGART driver for ArticiaS - ioremap() problem

From: "John W. Linville" <[email-masked]>
Date: Wed, 11 Jan 2006 16:52:21 -0500

On Wed, Jan 11, 2006 at 10:00:32PM +0100, Gerhard Pircher wrote:

> David Bentam and I are trying to get a AGPGART driver working for the
> AmigaOne and the Pegasos1. The driver detects the aperture size of the
> ArticiaS AGP bridge, but fails at the ioremap() function in the generic GATT
> table create function. Does the PowerPC platform behaves differently for the
> mapping of address location for AGP operation than the x86 platform? Is it
> possible to use a mask to relocate the AGP address space to a specific
> location?

It probably wouldn't hurt to include the source (or a url pointing
to it)... :-)

John
-- 
John W. Linville
[email-masked]